webpackJsonp([13],{

/***/ "7HRh":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "s2Fx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/axios/index.js
var axios = __webpack_require__("mtWM");
var axios_default = /*#__PURE__*/__webpack_require__.n(axios);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/picManage.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var picManage = ({
  name: 'picManage',
  data: function data() {
    return {
      picList: [],
      picMaxConfig: ['1920x1080', '1280x720'],
      active: ''
    };
  },
  created: function created() {
    this.getData();
  },

  methods: {
    getData: function getData() {
      var _this = this;

      this.$http.getPicInfo().then(function (res) {
        _this.picList = _this.$tools.stringify(res.data.data).sort(function (a, b) {
          return a.id - b.id;
        });
      });
    },
    fileBtn: function fileBtn(item) {
      this.active = item;
    },
    binUpload: function binUpload() {
      var _this2 = this;

      var vm = this;
      var formData = new FormData();
      formData.append('upload', this.myFile);
      formData.append('name', this.active.name);
      formData.append('size_w', this.myFile.size_w);
      formData.append('size_h', this.myFile.size_h);
      axios_default.a.post(this.$http.url + 'pic/add.json', formData, {
        header: {
          'Content-Type': 'multipart/form-data'
        },
        onUploadProgress: function onUploadProgress(e) {
          vm.$showLoading('Uploading...');
        }
      }).then(function (res) {
        _this2.$hideLoading();
        _this2.getData();
      }).catch(function (e) {
        _this2.$hideLoading();
        _this2.getData();
      });
    },
    beforeUpload: function beforeUpload(file) {
      var _this3 = this;

      var img = new Image();
      if (window.createObjectURL != undefined) {
        // basic
        img.src = window.createObjectURL(file);
      } else if (window.URL != undefined) {
        // mozilla(firefox)
        img.src = window.URL.createObjectURL(file);
      } else if (window.webkitURL != undefined) {
        // webkit or chrome
        img.src = window.webkitURL.createObjectURL(file);
      }
      this.myFile = file;
      img.onload = function () {
        var picConfig0 = _this3.picMaxConfig[0].match(/\d+/g);
        var picConfig1 = _this3.picMaxConfig[1].match(/\d+/g);
        var imgVaild = img.width == parseInt(picConfig0[0]) && img.height == parseInt(picConfig0[1]) || img.width == parseInt(picConfig1[0]) && img.height == parseInt(picConfig1[1]);
        _this3.myFile.size_w = img.width;
        _this3.myFile.size_h = img.height;
        if (!imgVaild) {
          _this3.$message.warning(_this3.$t('picManage.resolutionTips'));
          return false;
        } else {
          _this3.binUpload();
        }
      };
    },
    resetPic: function resetPic(item) {
      var _this4 = this;

      var params = item ? { name: item.name } : {};
      this.$http.resetPicInfo(params).then(function (res) {
        _this4.getData();
      }).catch(function (e) {
        _this4.getData();
      });
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-28ed1764","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/picManage.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('el-row',{staticClass:"container",attrs:{"gutter":20}},[_c('el-col',{attrs:{"xl":{ span: 12, offset: 6 },"lg":{ span: 14, offset: 5 },"md":{ span: 16, offset: 4 },"sm":{ span: 18, offset: 3 }}},[_c('el-card',{staticClass:"box-card"},[_c('div',{staticClass:"card-header-title",attrs:{"slot":"header"},slot:"header"},[_c('span',{staticClass:"flex-1"},[_vm._v(_vm._s(_vm.$t('picManage.picManage')))]),_vm._v(" "),_c('div',{staticClass:"card-header-right"},[_c('el-button',{attrs:{"type":"danger","size":"mini"},on:{"click":function($event){return _vm.resetPic()}}},[_vm._v(_vm._s(_vm.$t('button.resetAll')))])],1)]),_vm._v(" "),_c('div',{staticClass:"warning-tips-text"},[_c('div',[_vm._v(_vm._s(_vm.$t('picManage.note')))]),_vm._v(" "),_c('div',[_vm._v("1. "+_vm._s(_vm.$t('picManage.picTipsOne')))]),_vm._v(" "),_c('div',[_vm._v("2."+_vm._s(_vm.$t('picManage.picTipsTwo')))])]),_vm._v(" "),_c('div',{staticClass:"display-flex align-items_center flex-wrap"},_vm._l((_vm.picList),function(item,index){return _c('div',{staticClass:"flex_33 text-center"},[_c('div',{staticClass:"pic-list"},[_c('div',{staticClass:"mb_15"},[_vm._v("\n              "+_vm._s(item.content)+"\n              "),_c('span',{staticClass:"pic-info-text"},[_vm._v("("+_vm._s(item.size_w)+"*"+_vm._s(item.size_h)+")")])]),_vm._v(" "),_c('div',{staticClass:"pic-img-box"},[_c('img',{staticClass:"pic-img",attrs:{"src":'./img/' + item.url + '?' + new Date().getTime()}})]),_vm._v(" "),_c('el-upload',{ref:"upload",refInFor:true,staticClass:"mt_10",attrs:{"action":"","accept":".png,.PNG","show-file-list":false,"before-upload":_vm.beforeUpload,"list-type":"picture"}},[_c('el-button',{attrs:{"slot":"trigger","size":"mini","type":"primary"},on:{"click":function($event){return _vm.fileBtn(item)}},slot:"trigger"},[_vm._v(_vm._s(_vm.$t('firmware.selectFile')))]),_vm._v(" "),_c('el-button',{attrs:{"type":"danger","size":"mini"},on:{"click":function($event){return _vm.resetPic(item)}}},[_vm._v(_vm._s(_vm.$t('button.reset')))])],1)],1)])}),0)])],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var view_picManage = (esExports);
// CONCATENATED MODULE: ./src/view/picManage.vue
function injectStyle (ssrContext) {
  __webpack_require__("7HRh")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-28ed1764"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  picManage,
  view_picManage,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_view_picManage = __webpack_exports__["default"] = (Component.exports);


/***/ })

});