local modules = require "api_modules"
local MSG = require "api_msg"
local module_name = ngx.var.module_name
local method_name = ngx.var.method_name


if (module_name == "info") or (module_name == "config/general") or
    ((module_name == "users" or module_name == "user") and (method_name == "login" or method_name == "session" or method_name == "accept_eula" or method_name == "authorize")) or 
    (module_name=="device" and method_name=="serial") or 
	(module_name == "firmware" and method_name == "get") then
    return
end


-- local Token = ngx.var["cookie_token"]
local args = {}
local args_get = ngx.req.get_uri_args()
local req_headers = ngx.req.get_headers()
args.head = { platform = req_headers and req_headers.platform or "" }
for k, v in pairs(req_headers or {}) do
	args.head[k] = tostring(v):lower()
end

for k,v in pairs(args_get) do
	if type(k) == "number" then
		arrIdx = nil
	else
		arrIdx = k:match("(.*)%[%]")
	end
	if arrIdx then
		args[arrIdx] = v
	else
		args[k] = v
	end
end

if ngx.var.check_session == "true" then
	local check_session = modules.users.check_session
	local is_ok, err = check_session(args)
	if not is_ok then
		-- MSG.ERROR("sessionError")
		return
	end
end