##
## Makefile of %%this_module%%
##
## History:
##    2016/04/08 - [Jacob Zuo] Created file
##
## Copyright (C) 2016-2017, Kiloview, Inc.
##
## All rights reserved. No Part of this file may be reproduced, stored
## in a retrieval system, or transmitted, in any form, or by any means,
## electronic, mechanical, photocopying, recording, or otherwise,
## without the prior consent of Kiloview, Inc.
##

LOCAL_PATH	:= $(call my-dir)

### luaLibs
include $(CLEAR_VARS)

LOCAL_TARGET := fpga_firmware

.PHONY: $(LOCAL_TARGET)

$(LOCAL_TARGET): PRIV_LOCAL := $(LOCAL_PATH)
$(LOCAL_TARGET): APP_TARGET_LOCATION := $(subst /,\\/,/usr/local/bin/fpga_upgrade/fpga_firmware)

$(LOCAL_TARGET):
	@mkdir -p $(FAKEROOT_DIR)/usr/local/bin/fpga_upgrade/fpga_firmware
	@cp -Rf $(PRIV_LOCAL)/* $(FAKEROOT_DIR)/usr/local/bin/fpga_upgrade/fpga_firmware
	@echo "Install $@ DONE."

$(call add-target-into-kiloview-modules, $(LOCAL_TARGET))


